Bug 817349 - Missing icon "system-suspend"
Missing icon "system-suspend"
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F18Xfce
  Show dependency treegraph
 
Reported: 2012-04-29 06:35 EDT by Heiko Adams
Modified: 2015-07-15 11:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:26:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2012-04-29 06:35:05 EDT
Description of problem:
I'm running the Xfce 4.10 version provided by Kevin Fenzi which contains some action-buttons and one of these buttons uses a system-suspend icon which is missing in fedora-icon-theme. Because of this the button has the missing-icon icon which look awful.

Version-Release number of selected component (if applicable):
fedora-icon-theme-1.0.0-12.fc17.noarch

How reproducible:
allways

Steps to Reproduce:
1. open a terminal emulation
2. run yum whatprovides */system-suspend*
  
Actual results:
fedora-icon-theme doesn't provide a system-suspend icon

Expected results:
fedora-icon-theme should provide a system-suspend icon

Additional info:
Comment 1 Christoph Wickert 2012-04-29 06:44:44 EDT
1. fedora-icon-theme does not provide anything but the Fedora icons. For everything else, it inherits the 'Mist' icon theme from gnome-themes.
2. 'system-suspend' is not part of the xdg icon naming specification from http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html

So the bug is neither in fedora-icon-theme or gnome-themes but in xfce4-panel itself. It should either provide the icon in the package use an compliant name.
Comment 2 Christoph Wickert 2012-07-02 12:39:23 EDT
I think the bug is a bit more complicated. xfce4-panel should not install an icon called system-suspend.* because it pollutes a common namespace. Instead, the icon themes should provide it but they will only do so, if the xdg guidelines are updated. This can take quite some time. :(
Comment 3 Kevin Fenzi 2012-07-05 16:34:05 EDT
So, where do we go from here?

ie, who should we bug first? :)
Comment 4 Fedora End Of Life 2013-07-04 02:03:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 13:26:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Christoph Wickert 2013-08-28 08:29:29 EDT
Reopening, still applies to rawhide.
Comment 7 Tom Holroyd 2013-12-01 19:00:50 EST
Can we at least find a workaround for this? Fedora 19 with Xfce the Action Button for Suspend is missing. So, where is it supposed to be? I can just use
a "Pause" button icon, but where do I put it?
Comment 8 chesusin 2014-01-13 17:50:35 EST
I'm using Fedora 20 with LXDE at work and home, but the Suspend option isn't an option when pressing Logout. It's a sought after option that i used frequently at home on Fedora 14. I am also asking for a workaround.
Comment 9 Kevin Fenzi 2014-01-13 19:02:09 EST
(In reply to chesusin from comment #8)
> I'm using Fedora 20 with LXDE at work and home, but the Suspend option isn't
> an option when pressing Logout. It's a sought after option that i used
> frequently at home on Fedora 14. I am also asking for a workaround.

This has nothing to do with this bug (which is about a missing icon in Xfce). 

Please file a new bug against lxdm or lxsession.
Comment 10 Jan Kurik 2015-07-15 11:09:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.